default:
  image: python:3.9-slim-buster
  cache:
    paths:
      - $CI_PROJECT_DIR/.venv2
      - $CI_PROJECT_DIR/.cache/pip
  before_script:
    - python -V
    - pip install virtualenv
    - virtualenv $CI_PROJECT_DIR/.venv
    - source $CI_PROJECT_DIR/.venv/bin/activate
    - pip install --upgrade pip
    - pip install --force-reinstall --index-url https://pypi.anaconda.org/intel/simple --no-dependencies numpy scipy==1.7.3
    - pip install numpy scipy==1.7.3
    #- pip install torch --index-url https://download.pytorch.org/whl/cpu
    - pip install joblib scikit-learn
    - pip install matplotlib lmfit seaborn extra_data

stages:
  - test

#setup-environment:
#  stage: environment
#  script:
#    - apt-get update && apt-get install -y python3-venv
#    - python3 -m venv .venv
#    - source .venv/bin/activate
#    - python3 -m pip install --upgrade pip
#    - python3 -m pip install --force-reinstall --index-url https://pypi.anaconda.org/intel/simple --no-dependencies numpy scipy==1.7.3
#    - python3 -m pip install numpy scipy==1.7.3
#    #- python3 -m pip install torch --index-url https://download.pytorch.org/whl/cpu
#    - python3 -m pip install joblib scikit-learn
#    - python3 -m pip install matplotlib lmfit seaborn extra_data

test_import:
  stage: test
  script:
    # cannot do this, because I cannot read data ...
    #- ./pes_to_spec/test/offline_analysis.py -p 900331 -r 69 -t 70 -d results_ard --model-type ard
    - python -m unittest ./pes_to_spec/test/test_import.py

